      program driver
c
c  Generic driver routine for claw3
c
c  Author: Randall J. LeVeque
c  Version of September, 1999 --  CLAWPACK Version 4.0
c
c
      implicit double precision (a-h,o-z)

c     # set parameters for maximum array sizes used in declarations
c     # these must be increased for larger problems.
c
c
      parameter (maxmx =   100)
      parameter (maxmy =   100)
      parameter (maxmz =   100)
      parameter (mwork = 5650424)

      parameter (mbc = 2)
      parameter (meqn = 5)
      parameter (mwaves = 3)
      parameter (maux = 0)

      dimension    q(1-mbc:maxmx+mbc, 1-mbc:maxmy+mbc, 
     &		     1-mbc:maxmz+mbc, meqn)

c     dimension  aux(1-mbc:maxmx+mbc, 1-mbc:maxmy+mbc, 
c    &		     1-mbc:maxmz+mbc, maux)

      dimension mthlim(mwaves)
      dimension work(mwork)
c
      call claw3ez(maxmx,maxmy,maxmz,meqn,mwaves,mbc,maux,mwork,mthlim,
     &		 q,work,aux)

      stop 
      end
